Skip to main content
GET
/
api
/
giving
/
v1
/
get-giving-summary
GetGivingSummary
curl --request GET \
  --url https://api.example.com/api/giving/v1/get-giving-summary
{
  "summary": {
    "generatedAt": "<string>",
    "activityIndex": 123,
    "trend": "<string>",
    "estimatedDailyFlowUsd": 123,
    "platforms": [
      {
        "platform": "<string>",
        "dailyVolumeUsd": 123,
        "activeCampaignsSampled": 123,
        "newCampaigns24h": 123,
        "donationVelocity": 123,
        "dataFreshness": "<string>",
        "lastUpdated": "<string>"
      }
    ],
    "categories": [
      {
        "category": "<string>",
        "share": 123,
        "change24h": 123,
        "activeCampaigns": 123,
        "trending": true
      }
    ],
    "crypto": {
      "dailyInflowUsd": 123,
      "trackedWallets": 123,
      "transactions24h": 123,
      "topReceivers": [
        "<string>"
      ],
      "pctOfTotal": 123
    },
    "institutional": {
      "oecdOdaAnnualUsdBn": 123,
      "oecdDataYear": 123,
      "cafWorldGivingIndex": 123,
      "cafDataYear": 123,
      "candidGrantsTracked": 123,
      "dataLag": "<string>"
    }
  }
}

Query Parameters

platform_limit
integer<int32>

Number of platforms to include (0 = all).

category_limit
integer<int32>

Number of category breakdowns to include (0 = all).

Response

Successful response

GetGivingSummaryResponse contains the global giving activity summary.

summary
object

GivingSummary represents a global overview of personal giving activity across platforms.